function vnew= adi(n,tfin)
% d\car\met\adi.m
% ecuacion u_t=u_xx+u_yy 
% Johnson y Riess, ejemplo 8.4
% edp2dadi3
% dominio: cuadrado [-1,1]x[-1,1]
% es 0 cuando t=0, rodeado de medio a temperatura 1
% n: numero de subdivisiones en x e y
% tfin: tiempo en el que se pide la solucion
% metodo adi de Peaceman y Rachford
rh=zeros(n,1);
h=2/(n+1);
k=h/2;r=k/h^2;ro=2/r;
vold=zeros(n);vnew=vold;vint=vold;
% I-(k/2)D_2
sub=-ones(n-1,1);
d=(ro+2)*ones(n,1);
id2=diag(sub,-1)+diag(d)+diag(sub,1);
% I-(k/2)D_1  (distinto al anterior si espaciamiento en
% x es diferente de espaciamiento en y)
sub=-ones(n-1,1);
d=(ro+2)*ones(n,1);
id1=diag(sub,-1)+diag(d)+diag(sub,1);
t=0;
while t<=tfin
% metodo adi
% lado derecho predictor
for j=1:n
    if j==1
        rh(:)=1+(ro-2)*vold(:,1)+vold(:,2);
    elseif     j==n
    rh(:)=vold(:,n-1)+(ro-2)*vold(:,n)+1;
    else
        rh(:)=vold(:,j-1)+(ro-2)*vold(:,j)+vold(:,j+1);
    end
% solucion predictor

rh(1)=rh(1)+1;rh(n)=rh(n)+1;
v=id1\rh;
vint(:,j)=v(:);
end
% lado derecho corrector
for i=1:n
    if i==1
        rh(:)=1+(ro-2)*vint(1,:)+vint(2,:);
    elseif     i==n
    rh(:)=vint(n-1,:)+(ro-2)*vint(n,:)+1;
    else
        rh(:)=vint(i-1,:)+(ro-2)*vint(i,:)+vint(i+1,:);
    end
% solucion corrector

rh(1)=rh(1)+1;rh(n)=rh(n)+1;
v=id2\rh;
vnew(i,:)=v(:)';
end
%
t=t+k;vold=vnew;
end



