function err= edp1dimp(a,b,n,r,tfin)
% c\car\work\edp1dimp.m
% ecuacion u_t=u_xx con c.i. y c.b. dadas
% err=edp1dimp(a,b,n,r,tfin)
% a, b: limites de intervalo
% n+1: numero de subdivisiones en [a,b]
% r: k/h^2, controla estabilidad en algunos casos
% tfin: tiempo en el que se pide la solucion
% uex: solucion exacta valida en dominio y fronteras
% err: errror relativo en solucion calculada
h=(b-a)/(n+1);
k=r*h^2;
x=a+h:h:b-h;  %dominio espacial de solucion
xa=[a x b];   % dominio ampliado
t=0;
vold=uex(t,x)';
vnew=vold;
% metodo implicito
sub=-r*ones(n-1,1);
d=(1+2*r)*ones(n,1);
a=diag(sub,-1)+diag(d)+diag(sub,1);
while t<tfin
    vnew=a\vold;
t=t+k;vold=vnew;
end
volda=[0; vold; 0];
er=norm(volda-uex(tfin,xa)');nex=norm(uex(tfin,xa));
err=er/nex;
%plot(xa,volda,'r',xa,uex(tfin,xa),'k*');
%xlabel(' Espacio');ylabel('Exacta (*) y calculada (-)');
%title(['Metodo implicito, r = ',num2str(r),'  t = ',num2str(tfin)]);



