% exa3.m, Herramienta didactica, Carlos E. Mejia, 2002
% Referencia: "Using MATLAB Version 5", p. 5-21
% Datos de una montaa submarina en archivo seamount.mat
load seamount;
subplot(1,2,1);
plot(x,y,'k.','markersize',15)
%title(' Montaa submarina');
title ('Localizacion')
grid on
subplot(1,2,2);
[xi,yi]=meshgrid(210.8:.01:211.8,-48.5:.01:-47.9);
zi=griddata(x,y,z,xi,yi,'cubic');
[c,h]=contour(xi,yi,zi,'k-'); 
set(gca,'XTick',[210.8 211.3 211.8])
clabel(c,h,'manual');
%title(' Montaa submarina');
title ('Curvas de nivel')
%xlabel('Longitud');
%print -deps2 .\fig\exa3-1.eps
figure
subplot(2,1,1);
surface(zi);shading interp;
title(' Montaa submarina');
%xlabel('Longitud');ylabel('Latitud');
colormap(pink);colorbar('vert');
subplot(2,1,2);
surf(zi);
shading interp
%xlabel('Longitud');ylabel('Latitud');zlabel('Altura');
grid on
print -deps2 .\fig\exa3-2.eps
