function m1(fun,a,b)
% Herramienta didactica, Carlos E. Mejia, 2002
% Uso m1('fun',a,b)
% Se encuentra un cero de la funcion fun en el intervalo [a,b]
% por el Metodo de Biseccion
fprintf('Mtodo de Biseccin \n\n');
epsi=input('Valor para epsilon: ');
Nuit=input('valor para nmero maximo de iteraciones: ');
k=1;
fa=feval(fun,a); fb=feval(fun,b);
if sign(fa)==sign(fb)  % chequeo inicial
   disp('No se cumple condicin f(a)*f(b)<0');
   break;
end
% empieza bsqueda binaria
   while (abs(b-a)>epsi & k < Nuit)
	c = (a+b)/2;
	if (c==a | c==b)
		fprintf('Epsilon es demasiado pequeo. ');
		break;
	end
	fc = feval(fun,c);
	if (fc==0)
		a = c; b = c;
		fa =fc; fb = fc;
		break;
	end
	if (sign(fc)~= sign(fb))
		a = c; fa = fc;
	else
		b = c; fb = fc;
	end
	k = k + 1;
end
disp(['La raiz encontrada es ',num2str(c)]);
disp(['Se requirieron ',num2str(k),' iteraciones']);
