% Herramienta didactica, Carlos E. Mejia, 2002
% uso: ode2
% solucion numerica de PVI para ecuaciones diferenciales ordinarias
% rhs2: m-archivo con funcion del lado derecho en el pvi
% inte: intervalo [to,tfin] en el que se quiere obtener la solucion
% ci: condicion inicial y(to)
% usa ode23
inte=[0 50];ci=[10;1];
[t,y]=ode23('rhs2',inte,ci);
subplot(2,1,1);
plot(t,y(:,1),'k',t,y(:,2),'k--')
xlabel t, ylabel('y_1(t) y y_2(t)')
title('Ecuacion de Van der Pol');
subplot(2,1,2);
plot(y(:,1),y(:,2),'k');
xlabel y_1(t);ylabel y_2(t)
%print -deps2 .\fig\ode2.eps
