function simpson(fun,a,b)
% Herramienta didactica, Carlos E. Mejia, 2002
% uso de quad, la integracion numerica de bajo orden
% que ofrece MATLAB junto con regla de Simpson
% quad esta basada en Simpson y es adaptativa
% f: integrando, a, b: limites de integracion
% Uso: simpson('fun',a,b), fun puede ser fsim.m
i1=quad(fun,0,1);
c=(b-a)/6;
fa=feval(fun,a);
f2=feval(fun,(a+b)/2);
fb=feval(fun,b);
i2=c*(fa+4*f2+fb);
disp(['Resultado quad: ',num2str(i1)]);
disp(['Resultado Simpson bsico: ',num2str(i2)]);
