function out = m2(fun,fprima,x0)
% Herramienta didactica, Carlos E. Mejia, 2002 
% Uso z = m2('fun','fprima',x0);
% Se aproxima un cero de f por el Metodo de Newton
% Las funciones f y f' estan dadas por los M-archivos fun y
% fprima respectivamente. x0 es la primera aproximacion
fprintf('Mtodo de Newton \n\n');
epsi=input('Valor para epsilon: ');
Nuit=input('Valor para nmero maximo de iteraciones: ');
v=feval(fun,x0);vp=feval(fprima,x0);
disp('   k       x           f(x) ');
out=[0,x0,v];
fprintf('%4.0f %8.6e %8.3e\n',out);
for k=1:Nuit
   x1=x0-v/vp;
   v=feval(fun,x1);vp=feval(fprima,x1);
   out=[k,x1,v];
	fprintf('%4.0f %8.6e %8.3e\n',out);
   if (abs(x1-x0)<epsi | abs(v)<epsi)
      break
   end
   x0=x1;
end
   