function out = m3(f_fun,g_fun,s,x0)
% Herramienta didactica, Carlos E. Mejia, 2002
% Uso z = m3('f_fun','g_fun',s,x0);
% Se aproxima el cero s de f_fun por medio de una
% iteracion de punto fijo con funcion de iteracion g_fun
% x0 es la primera aproximacion
% El cero s es conocido pero no se utiliza en el proceso
% iterativo. Solo se usa para listar las dos ultimas
% columnas de la tabla de resultados
fprintf('Mtodo de Punto Fijo \n\n');
epsi=input('Valor para epsilon: ');
Nuit=input('Valor para nmero maximo de iteraciones: ');
v=feval(f_fun,x0);e0=s-x0;
disp('   k       x_k      f(x_k)      e_k      e_k)/e_(k-1))');
out=[0,x0,v,e0];
fprintf('%2.0f %5.2e %5.2e %5.2e\n',out);
for k=1:Nuit
   x1=feval(g_fun,x0);
   v=feval(f_fun,x1);
   e1=s-x1;
   out=[k,x1,v,e1,e1/e0];
	fprintf('%2.0f %5.2e %5.2e %5.2e %5.2e\n',out);
   if (abs(x1-x0)<epsi | abs(v)<epsi)
      break
   end
   x0=x1;e0=e1;
end
   