% Herramienta didactica, Carlos E. Mejia, 2002
% Referencia D. Higham y N. Higham, Matlab Guide
% SIAM, p. 151
tspan=[0,10];
yazero=[1;1];ybzero=[-5;2];yczero=[5;-2];
[ta,ya]=ode45('rhs1',tspan,yazero);
[tb,yb]=ode45('rhs1',tspan,ybzero);
[tc,yc]=ode45('rhs1',tspan,yczero);
[y1,y2]=meshgrid(-5:.5:5,-3:.5:3);
Dy1Dt=y2;Dy2Dt=-sin(y1);
quiver(y1,y2,Dy1Dt,Dy2Dt,'k')
hold on
plot(ya(:,1),ya(:,2),'k',...
yb(:,1),yb(:,2),'k',yc(:,1),yc(:,2),'k')
axis equal,axis([-5 5 -3 3])
title('Pendulo simple')
xlabel ('Diagrama de fase, y_1 VS y_2'), hold off
%print -deps2 .\fig\ode1.eps
