% ode6, Herramienta didactica, Carlos E. Mejia 2002
% solucion numerica de PVI para ecuaciones diferenciales ordinarias
% inte: intervalo [to,tfin] en el que se quiere obtener la solucion
% ci: condicion inicial y(to)
% metodo de Euler para yprima=-10y
fid=fopen('euler.txt','w');
titu='   r    h        exp(-10)-Y_n         (exp(-10)-Y_n)/h';
fprintf(fid,titu);fprintf(fid,'\n');
inte=[0 1];ci=1;
for r=1:8
   t=linspace(inte(1),inte(2),2^r);y=zeros(length(t),1);
   n=length(t);h=(inte(2)-inte(1))/length(t);
	y(1)=ci;
	for j=1:n-1
   	y(j+1)=y(j)+h*(-10*y(j));
	end
   tp=linspace(inte(1),inte(2));
   if r<=4
   subplot(2,2,r);
plot(tp,exp(-10*tp),'k');hold;
plot(t,y,'k--');
%ylabel('Exacta y calculada')
title(['yprima = -10y, n = ',num2str(n)]);
%print -deps2 .\fig\ode6-1.eps
out=[r h exp(-10)-y(n) (exp(-10)-y(n))/h];
fprintf(fid,'%4.0f %8.4e %8.4e %8.4f\n',out);
else
   if mod(r,4)==1
      figure;
   end
   
       subplot(2,2,r-4);
plot(tp,exp(-10*tp),'k');hold;
plot(t,y,'k--');
%ylabel('Exacta y calculada')
title(['yprima = -10y, n = ',num2str(n)]);
%print -deps2 .\fig\ode6-2.eps
out=[r h exp(-10)-y(n) (exp(-10)-y(n))/h];
fprintf(fid,'%4.0f %8.4e %8.4e %8.4f\n',out);
 end 
end
fclose(fid);
