function u=pvf1(a,b,n)
% pvf1.m, metodo de colocacion
% Herramienta didactica, Carlos E. Mejia, 2002
% problema general: Ly=y''+py'+qy = w
% basado en Kincaid y Cheney seccion 8.10
% a, b: limites del intervalo
% n: numero de nodos de colocacion y de funciones de prueba
h = (b-a)/(n+1);t = a+h:h:b-h;
% coeficientes
q=4*ones(size(t));w=cos(t)';p=zeros(size(t));
for m=1:n
   [j k]=poten(m);
 lv = j*(j-1)*vf(j-2,k,t)-2*j*k*vf(j-1,k-1,t)+k*(k-1)*vf(j,k-2,t);
 lv = lv + p.*(j*vf(j-1,k,t)-k*vf(j,k-1,t)) + q.*vf(j,k,t);
 ma(:,m)=lv';
end
%c=ma\w;
c=bicgstab(ma,w,1e-4,50);
up=cell(size(c));u=zeros(size(c));
for m=1:n
   [j k]=poten(m);
   up{m}=vf(j,k,t)';
   u=u+c(m).*up{m};
end
ex=exaf(t);er=u-ex';
er2=sqrt((1/(n+2))*sum(er.^2))
ee2=norm(er)
T=[0 t pi/4];ex=[0; ex'; 0];u=[0; u; 0];
plot(T,u,'r',T,ex,'k--')
   axis([0 pi/4 -.4 .4])
   title('Mtodo de Colocacin')
   xlabel t,
   %ylabel('Exacta (--) y Calculada(-)')
   %print -deps2 .\fig\col2.eps

